Subject: Re: [karp] Comment on draft-mahesh-karp-rkmp

From: Mahesh Jethanandani <[email-masked]>
Date: Thu, 5 Dec 2013 22:04:14 -0800

Bill,

You are correct in assuming that the document is defining new extensions to IKEv2 and new semantics for child SA. 

Will rephrase the rest of the document to reflect that.

On Nov 26, 2013, at 12:01 PM, William Atwood wrote:

> I have been reading draft-mahesh-karp-rkmp, and I am puzzled by several
> issues.  I discuss the first issue below.  Once I understand what is
> intended by the authors, I expect to raise the other issues.  (The way
> in which I will phrase these issues may depend on the answer to the
> first issue.)
> 
> From the name of the draft, I had always assumed that the document was
> talking about a "new" Key Management Protocol, called RKMP.  However,
> the key phrase in the first paragraph is "defines a mechanism to secure
> such pairwise Routing Protocol (RP) associations using IKEv2 [RFC5996]".
> 
> After the introduction, the document discusses how the exchanges build
> on the messages and exchange formats of IKEv2: where the semantics are
> the same, and where the semantics differ.  To my mind, given the
> different semantics, the "new" protocol is _not_ IKEv2.  However, the
> following text continues to speak of "invoking IKEv2", which would seem
> to me to imply "invoking unmodified IKEv2".  However, unmodified IKEv2
> has the wrong semantics for what happens to a child SA when the parent
> IKEv2 SA is destroyed.
> 
> I suspect that what is really happening here is that
> draft-mahesh-karp-rkmp is defining _extensions_ to IKEv2, and new
> semantics for child SAs when those extensions are used.  The material in
> Section 6 seems to support this view.
> 
> If this is so, then I suggest that Section 1 needs to be lightly
> re-written to make it clear that the document is proposing extensions to
> IKEv2, and that references to "IKEv2" in the subsequent text are
> references to the extended IKEv2.
> 
> Comments from the authors (and anyone else) will be appreciated.  I need
> to understand what is actually intended here before I can comment
> properly on the rest of the document.
> 
>  Bill
> 
> -- 
> Dr. J.W. Atwood, Eng.             tel:   +1 (514) 848-2424 x3046
> Distinguished Professor Emeritus  fax:   +1 (514) 848-2830
> Department of Computer Science
>   and Software Engineering
> Concordia University EV 3.185     email:[email-masked]
> 1455 de Maisonneuve Blvd. West    http://users.encs.concordia.ca/~bill
> Montreal, Quebec Canada H3G 1M8
> _______________________________________________
> karp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/karp

Mahesh Jethanandani
[email-masked]